%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version       0.70
%define policykit_version       0.7

%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:   System daemon that is a DBUS abstraction layer for package management
Name:      PackageKit
Version:   0.1.6
Release:   1%{?dist}
License:   GPLv2+
Group:     System Environment/Libraries
URL:       http://packagekit.freedesktop.org
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: dbus >= %{dbus_version}
Requires: PackageKit-libs = %{version}-%{release}
Requires: yum >= 3.2.6

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: glib-devel
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: pam-devel
BuildRequires: libX11-devel
BuildRequires: xmlto
BuildRequires: sqlite-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: PolicyKit-devel >= %{policykit_version}
BuildRequires: libtool
BuildRequires: docbook-utils
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: autoconf

%description 
PackageKit is a D-Bus abstraction layer that allows the session user
to manage packages in a secure way using a cross-distro,
cross-architecture API.

%package -n yum-packagekit
Summary: Tell PackageKit to check for updates when yum exits
Group: System Environment/Base
Requires: yum >= 3.0
Requires: PackageKit

%description -n yum-packagekit
yum-packagekit tells PackageKit to check for updates when yum exits.
This way, if you run 'yum update' and install all available updates, puplet
will almost instantly update itself to reflect this.

%package libs
Summary: Libraries for accessing PackageKit
Group: Development/Libraries
Requires: dbus >= %{dbus_version}
Requires: %{name} = %{version}-%{release}

%description libs
Libraries for accessing PackageKit.

%package devel
Summary: Libraries and headers for PackageKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig
Requires: sqlite-devel

%description devel
Headers and libraries for PackageKit.

%prep
%setup -q

autoconf

%build
%configure --with-default-backend=yum

# the 'make clean' is to clean up the blank file
# docs/spec/pk-reference.html in the upstream tarball.
# According to hughsie, this is because xmlto is broken in F8
make clean

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libpackagekit*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/libpackagekit*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.a

install -m644 docs/spec/pk-structure.png $RPM_BUILD_ROOT%{_datadir}/doc/packagekit/

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING 
%doc %{_datadir}/doc/packagekit/pk-reference.html
%doc %{_datadir}/doc/packagekit/pk-structure.png

%dir %{_datadir}/PackageKit
%dir %{_datadir}/PackageKit/helpers
%dir %{_sysconfdir}/PackageKit
%dir %{_localstatedir}/lib/PackageKit
%dir %{python_sitelib}/packagekit
%dir %{_localstatedir}/run/PackageKit
%config %{_sysconfdir}/bash_completion.d/pk-completion.bash
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config %{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%{_datadir}/PackageKit/helpers/*
%{_datadir}/man/man1/*.1.gz
%{_datadir}/PolicyKit/policy/*.policy
%{_sbindir}/packagekitd
%{_bindir}/pkmon
%{_bindir}/pkcon
%{_bindir}/packagekit-bugreport.sh
%ghost %verify(not md5 size mtime) %{_localstatedir}/lib/PackageKit/transactions.db
%ghost %verify(not md5 size mtime) %{_localstatedir}/run/PackageKit/job_count.dat
%{_datadir}/dbus-1/system-services/*.service
%{python_sitelib}/packagekit
%{_libdir}/pm-utils/sleep.d/95packagekit

%files -n yum-packagekit
%defattr(-, root, root,-)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/refresh-packagekit.conf
%{_libdir}/yum-plugins/refresh-packagekit.*

%files libs
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING 
%dir %{_libdir}/packagekit-backend
%{_libdir}/*packagekit*.so.*
%{_libdir}/packagekit-backend/*.so

%files devel
%defattr(-,root,root,-)

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Sat Jan 19 2008 Robin Norwood <rnorwood@redhat.com> - 0.1.6-1
- Update to latest upstream version: 0.1.6

* Fri Dec 21 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.5-1
- Update to latest upstream version: 0.1.5
- Remove polkit.patch for PolicyKit 0.7, no longer needed

* Mon Dec 17 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.4-3
- fix rpm -V issues by ghosting data files
- Resolves: rhbz#408401

* Sun Dec  9 2007 Matthias Clasen <mclasen@redhat.com> - 0.1.4-2
- Make it build against PolicyKit 0.7

* Tue Nov 27 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.4-1
- Update to latest upstream version: 0.1.4
- Include spec file changes from hughsie to add yum-packagekit subpackage

* Sat Nov 10 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.3-1
- Update to latest upstream version: 0.1.3

* Thu Nov 01 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.2-1
- Update to latest upstream version: 0.1.2

* Fri Oct 26 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-5
- More issues from package review:
- Need to own all created directories
- PackageKit-devel doesn't really require sqlite-devel
- Include docs in PackageKit-libs

* Fri Oct 26 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-4
- use with-default-backend instead of with-backend

* Thu Oct 25 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-3
- Add BR: python-devel

* Wed Oct 24 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-2
- doc cleanups from package review

* Tue Oct 23 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.1-1
- Update to latest upstream version

* Wed Oct 17 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.0-3
- Add BR for docbook-utils

* Tue Oct 16 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.0-2
- Apply recommended fixes from package review

* Mon Oct 15 2007 Robin Norwood <rnorwood@redhat.com> - 0.1.0-1
- Initial build (based upon spec file from Richard Hughes)
